Subject: Re: [Ietf-languages] bo: suppress script Tibt

From: Michael Everson <[email-masked]>
Date: Mon, 2 Apr 2018 16:31:01 +0100

I don’t see a strong reason to proceed with this, or a strong request for it either.

> On 26 Mar 2018, at 19:09, Doug Ewell <[email-masked]> wrote:
> 
> Élie Roux wrote:
> 
>> The problem I'm trying to solve is to understand how to choose a tag
>> and there was some hesitations between bo and bo-Tibt that a
>> suppress-script would have prevented, but I don't know if it can be
>> qualified as an actual problem.
> 
> Here are some guidelines:
> 
> 1. As a tag producer, use "bo-Tibt" if you want to state explicitly that
> the content is written in Tibetan script.
> 
> 2. As a tag producer, use "bo" for written content if you do not feel it
> is necessary to specify the script.
> 
> 3. As a tag consumer, use "bo-Tibt" if you are specifically looking for
> written content in Tibetan script.
> 
> 4. As a tag consumer, use "bo" if you are searching for any
> Tibetan-language content regardless of script, or if you feel Tibetan
> script will be dominant to the point that it is not necessary to
> specify.
> 
> 5. Always use "bo" for all spoken or other non-written content.
> 
> Note that none of these actually requires the record for 'bo' in the
> Registry to have Suppress-Script, or not to have it.
> 
> Suppress-Script, if present, would tell the tag producer that guidelines
> 1 and 3 should not be employed except in very unusual situations, such
> as tagging or searching for 13th-century seals in Tibetan script that
> would otherwise be expected to be in Phags-pa.
> 
> Without Suppress-Script, you are on your own to a greater degree, but
> the normal rules about not including unnecessary subtags (as either
> producer or consumer) still apply.
> 
> See RFC 5646, Section 4.1, item 2 for more information.
> 
> --
> Doug Ewell | Thornton, CO, US | ewellic.org
> 
> 
> _______________________________________________
> Ietf-languages mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf-languages